rubin på skinner - Instil instiki på Windows

Indlæg af Hanne Mølgaard Plasc

Problem



Jeg forsøger at installere instiki på Windows 7 og rammer en roadblock. [2]


Jeg har installeret følgende:



  • Ruby 1.9.2

  • Rails 2.3.4

  • SQLite 3

  • Seneste udviklingspakke



Jeg sprang bundleren og alle ædelstene blev installeret. Når jeg kører * .bat-filen, får jeg følgende fejl: [3]



  ruby.exe script \ server -e produktion
  : 29: i
  require': no such file to load -- script/../config/boot (LoadError) from <internal:lib/rubygems/custom\_require>:29:in kræve'
          fra script/server: 2: i 'main'


Bedste reference


AFAIK, Instiki er ikke blevet opdateret til at arbejde med Ruby 1.9.2


Jeg vil anbefale nedgradering til Ruby 1.8.7 og prøv igen.


Du kan finde installatører til det på RubyInstaller hjemmeside. [4]